Subject: Re: very minor 405GP and 405GPr PCI difference

From: Matt Porter <[email-masked]>
Date: Sun, 6 Oct 2002 18:31:20 -0700

On Sat, Oct 05, 2002 at 10:23:14PM -0700, Andrew May wrote:
>
> On Thu, Oct 03, 2002 at 11:12:33AM +1000, David Gibson wrote:
> >
> > Fair enough.  I'm just trying to come up with the simplest approach
> > that still provides the flexibility we need.  Based on the evidence
> > immediately available, what I posted seemed like it.  How about you
> > tell me something about the non-standard PCI mappings, so I can come
> > up with something better.
>
> It would be nice to have the option to let the boot loader set the
> mapping. I have been happy with getting things done in PPCBoot and
> ripping out the PCI scanning in the kernel.

Yes, that's the ideal situation and going to what David and I would
like to see makes that yet another simple fallout feature.

Your custom port using a good implementation of PPCBoot simply
would not call the pci macro init library nor would it use pci_auto.

Regards,
--
Matt Porter
[email-masked]
This is Linux Country. On a quiet night, you can hear Windows reboot.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/